From e279735b790d95b78fd245f983dee26df713b1d4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 03:08:37 +0000
Subject: [PATCH 1198/2232] Standardize on write_ prefix for functions that write to a &mut OutFile


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 352d643..a2d41a7 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -23,8 +23,8 @@ pub(super) fn gen(apis: &[Api], types: &Types, opt: &Opt, header: bool) -> Vec<u
     out.include.extend(&opt.include);
 
     let apis_by_namespace = NamespaceEntries::new(apis);
-    gen_namespace_forward_declarations(out, &apis_by_namespace);
-    gen_namespace_contents(out, &apis_by_namespace);
+    write_namespace_forward_declarations(out, &apis_by_namespace);
+    write_namespace_contents(out, &apis_by_namespace);
 
     if !header {
         out.next_section();
@@ -37,7 +37,7 @@ pub(super) fn gen(apis: &[Api], types: &Types, opt: &Opt, header: bool) -> Vec<u
     out_file.content()
 }
 
-fn gen_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceEntries) {
+fn write_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceEntries) {
     let apis = ns_entries.direct_content();
 
     for api in apis {
@@ -52,12 +52,12 @@ fn gen_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceE
 
     for (namespace, nested_ns_entries) in ns_entries.nested_content() {
         writeln!(out, "namespace {} {{", namespace);
-        gen_namespace_forward_declarations(out, nested_ns_entries);
+        write_namespace_forward_declarations(out, nested_ns_entries);
         writeln!(out, "}} // namespace {}", namespace);
     }
 }
 
-fn gen_namespace_contents<'a>(out: &mut OutFile<'a>, ns_entries: &'a NamespaceEntries<'a>) {
+fn write_namespace_contents<'a>(out: &mut OutFile<'a>, ns_entries: &'a NamespaceEntries<'a>) {
     out.set_namespace(&ns_entries.namespace);
     let apis = ns_entries.direct_content();
 
@@ -129,7 +129,7 @@ fn gen_namespace_contents<'a>(out: &mut OutFile<'a>, ns_entries: &'a NamespaceEn
     }
 
     for (_, nested_ns_entries) in ns_entries.nested_content() {
-        gen_namespace_contents(out, nested_ns_entries);
+        write_namespace_contents(out, nested_ns_entries);
     }
 }
 

